"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("events");
class DebugServiceBase extends events_1.EventEmitter {
    constructor($devicesService) {
        super();
        this.$devicesService = $devicesService;
    }
    getCanExecuteAction(deviceIdentifier) {
        return (device) => {
            if (deviceIdentifier) {
                let isSearchedDevice = device.deviceInfo.identifier === deviceIdentifier;
                if (!isSearchedDevice) {
                    const deviceByDeviceOption = this.$devicesService.getDeviceByDeviceOption();
                    isSearchedDevice = deviceByDeviceOption && device.deviceInfo.identifier === deviceByDeviceOption.deviceInfo.identifier;
                }
                return isSearchedDevice;
            }
            else {
                return true;
            }
        };
    }
}
exports.DebugServiceBase = DebugServiceBase;
